scala.collection.mutable.WrappedArray

# ofByte

###
Related Doc: package WrappedArray

#### final class ofByte extends WrappedArray[Byte] with Serializable

Source
  WrappedArray.scala

Linear Supertypes
Serializable, java.io.Serializable, WrappedArray[Byte], CustomParallelizable[Byte, ParArray[Byte]], ArrayLike[Byte, WrappedArray[Byte]], IndexedSeqOptimized[Byte, WrappedArray[Byte]], collection.IndexedSeqOptimized[Byte, WrappedArray[Byte]], IndexedSeq[Byte], IndexedSeqLike[Byte, WrappedArray[Byte]], collection.IndexedSeq[Byte], collection.IndexedSeqLike[Byte, WrappedArray[Byte]], AbstractSeq[Byte], Seq[Byte], SeqLike[Byte, Seq[Byte]], Cloneable[Seq[Byte]], scala.Cloneable, java.lang.Cloneable, Iterable[Byte], Traversable[Byte], Mutable, collection.AbstractSeq[Byte], collection.Seq[Byte], collection.SeqLike[Byte, WrappedArray[Byte]], GenSeq[Byte], GenSeqLike[Byte, WrappedArray[Byte]], PartialFunction[Int, Byte], (Int) ⇒ Byte, collection.AbstractIterable[Byte], collection.Iterable[Byte], IterableLike[Byte, WrappedArray[Byte]], Equals, GenIterable[Byte], GenIterableLike[Byte, WrappedArray[Byte]], AbstractTraversable[Byte], collection.Traversable[Byte], GenTraversable[Byte], GenericTraversableTemplate[Byte, IndexedSeq], TraversableLike[Byte, WrappedArray[Byte]], GenTraversableLike[Byte, WrappedArray[Byte]], Parallelizable[Byte, ParArray[Byte]], TraversableOnce[Byte], GenTraversableOnce[Byte], FilterMonadic[Byte, WrappedArray[Byte]], HasNewBuilder[Byte, WrappedArray[Byte]], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ofByte
2. Serializable
3. Serializable
4. WrappedArray
5. CustomParallelizable
6. ArrayLike
7. IndexedSeqOptimized
8. IndexedSeqOptimized
9. IndexedSeq
10. IndexedSeqLike
11. IndexedSeq
12. IndexedSeqLike
13. AbstractSeq
14. Seq
15. SeqLike
16. Cloneable
17. Cloneable
18. Cloneable
19. Iterable
20. Traversable
21. Mutable
22. AbstractSeq
23. Seq
24. SeqLike
25. GenSeq
26. GenSeqLike
27. PartialFunction
28. Function1
29. AbstractIterable
30. Iterable
31. IterableLike
32. Equals
33. GenIterable
34. GenIterableLike
35. AbstractTraversable
36. Traversable
37. GenTraversable
38. GenericTraversableTemplate
39. TraversableLike
40. GenTraversableLike
41. Parallelizable
42. TraversableOnce
43. GenTraversableOnce
44. FilterMonadic
45. HasNewBuilder
46. AnyRef
47. Any

Implicitly

1. by CollectionsHaveToParArray
2. by MonadOps
3. by any2stringadd
4. by StringFormat
5. by Ensuring
6. by ArrowAssoc
7. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ofByte(array: Array[Byte])

### Type Members

1. #### class Elements extends AbstractIterator[A] with BufferedIterator[A] with Serializable

   The class of the iterator returned by the `iterator` method.

   The class of the iterator returned by the `iterator` method. multiple `take`, `drop`, and `slice` operations on this iterator are bunched together for better efficiency.

   Attributes
     protected
   Definition Classes
     IndexedSeqLike
   Annotations
     @SerialVersionUID()

2. #### type Self = WrappedArray[Byte]

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected[this]
   Definition Classes
     TraversableLike

3. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

   A class supporting filtered operations. Instances of this class are returned by method `withFilter`.

   Definition Classes
     TraversableLike

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ofByte to any2stringadd[ofByte] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ++[B](that: GenTraversableOnce[B]): WrappedArray[B]

   [use case] Returns a new wrapped array containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new wrapped array containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the wrapped array is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = List(1)
       a: List[Int] = List(1)

       scala> val b = List(2)
       b: List[Int] = List(2)

       scala> val c = a ++ b
       c: List[Int] = List(1, 2)

       scala> val d = List('a')
       d: List[Char] = List(a)

       scala> val e = c ++ d
       e: List[AnyVal] = List(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new wrapped array which contains all elements of this wrapped array followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike
   Full Signature

   #### def ++[B >: Byte, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[WrappedArray[Byte], B, That]): That

5. #### def ++:[B >: Byte, That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[WrappedArray[Byte], B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this traversable collection followed by all elements of `that`.

   Definition Classes
     TraversableLike

6. #### def ++:[B](that: TraversableOnce[B]): WrappedArray[B]

   [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   [use case]

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new wrapped array which contains all elements of this wrapped array followed by all elements of `that`.

   Definition Classes
     TraversableLike
   Full Signature

   #### def ++:[B >: Byte, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[WrappedArray[Byte], B, That]): That

7. #### def +:(elem: A): WrappedArray[A]

   [use case] A copy of the wrapped array with an element prepended.

   [use case]

   A copy of the wrapped array with an element prepended.

   Note that :-ending operators are right associative (see example). A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

   Also, the original wrapped array is not modified, so you will want to capture the result.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = 2 +: x
       y: List[Int] = List(2, 1)

       scala> println(x)
       List(1)

   elem

     the prepended element

   returns

     a new wrapped array consisting of `elem` followed by all elements of this wrapped array.

   Definition Classes
     SeqLike → GenSeqLike
   Full Signature

   #### def +:[B >: Byte, That](elem: B)(implicit bf: CanBuildFrom[WrappedArray[Byte], B, That]): That

8. #### def ->[B](y: B): (ofByte, B)

   Implicit information
     This member is added by an implicit conversion from ofByte to ArrowAssoc[ofByte] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

9. #### def /:[B](z: B)(op: (B, Byte) ⇒ B): B

   Applies a binary operator to a start value and all elements of this traversable or iterator, going left to right.

   Applies a binary operator to a start value and all elements of this traversable or iterator, going left to right.

   Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

       scala> val a = List(1,2,3,4)
       a: List[Int] = List(1, 2, 3, 4)

       scala> val b = (5 /: a)(_+_)
       b: Int = 15

       scala> val c = (5 /: a)((x,y) => x + y)
       c: Int = 15

   Note: will not terminate for infinite-sized collections.

   Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

   B

     the result type of the binary operator.

   z

     the start value.

   op

     the binary operator.

   returns

     the result of inserting `op` between consecutive elements of this traversable or iterator, going left to right with the start value `z` on the left:

         op(...op(op(z, x_1), x_2), ..., x_n)

     where `x1, ..., xn` are the elements of this traversable or iterator.

   Definition Classes
     TraversableOnce → GenTraversableOnce

10. #### def :+(elem: A): WrappedArray[A]

    [use case] A copy of this wrapped array with an element appended.

    [use case]

    A copy of this wrapped array with an element appended.

    A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

    Example:

        scala> val a = List(1)
        a: List[Int] = List(1)

        scala> val b = a :+ 2
        b: List[Int] = List(1, 2)

        scala> println(a)
        List(1)

    elem

      the appended element

    returns

      a new wrapped array consisting of all elements of this wrapped array followed by `elem`.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def :+[B >: Byte, That](elem: B)(implicit bf: CanBuildFrom[WrappedArray[Byte], B, That]): That

11. #### def :\[B](z: B)(op: (Byte, B) ⇒ B): B

    Applies a binary operator to all elements of this traversable or iterator and a start value, going right to left.

    Applies a binary operator to all elements of this traversable or iterator and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this traversable or iterator, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this traversable or iterator.

    Definition Classes
      TraversableOnce → GenTraversableOnce

12. #### final def ==(arg0: Any): Boolean

    The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    arg0

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

13. #### def addString(b: scala.StringBuilder): scala.StringBuilder

    Appends all elements of this traversable or iterator to a string builder.

    Appends all elements of this traversable or iterator to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator without any separator string.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        h: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

14. #### def addString(b: scala.StringBuilder, sep: String): scala.StringBuilder

    Appends all elements of this traversable or iterator to a string builder using a separator string.

    Appends all elements of this traversable or iterator to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator, separated by the string `sep`.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

15. #### def addString(b: scala.StringBuilder, start: String, sep: String, end: String): scala.StringBuilder

    Appends all elements of this traversable or iterator to a string builder using start, end, and separator strings.

    Appends all elements of this traversable or iterator to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator are separated by the string `sep`.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b , "List(" , ", " , ")")
        res5: StringBuilder = List(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

16. #### def aggregate[B](z: ⇒ B)(seqop: (B, Byte) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation) and may be evaluated more than once

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

17. #### def andThen[C](k: (Byte) ⇒ C): PartialFunction[Int, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the same domain as this partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1

18. #### def apply(index: Int): Byte

    The element at given index

    The element at given index

    returns

      the element of this wrapped array at index `idx`, where `0` indicates the first element.

    Definition Classes
      ofByte → WrappedArray → SeqLike → GenSeqLike → Function1

19. #### def applyOrElse[A1 <: Int, B1 >: Byte](x: A1, default: (A1) ⇒ B1): B1

    Applies this partial function to the given argument when it is contained in the function domain.

    Applies this partial function to the given argument when it is contained in the function domain. Applies fallback function where this partial function is not defined.

    Note that expression `pf.applyOrElse(x, default)` is equivalent to

        if(pf isDefinedAt x) pf(x) else default(x)

    except that `applyOrElse` method can be implemented more efficiently. For all partial function literals the compiler generates an `applyOrElse` implementation which avoids double evaluation of pattern matchers and guards. This makes `applyOrElse` the basis for the efficient implementation for many operations and scenarios, such as:

    - combining partial functions into `orElse`/`andThen` chains does not lead to excessive `apply`/`isDefinedAt` evaluation
    - `lift` and `unlift` do not evaluate source functions twice on each invocation
    - `runWith` allows efficient imperative-style combining of partial functions with conditionally applied actions

    For non-literal partial function classes with nontrivial `isDefinedAt` method it is recommended to override `applyOrElse` with custom implementation that avoids double `isDefinedAt` evaluation. This may result in better performance and more predictable behavior w.r.t. side effects.

    x

      the function argument

    default

      the fallback function

    returns

      the result of this function or fallback function application.

    Definition Classes
      PartialFunction
    Since

      2.10

20. #### val array: Array[Byte]

    The underlying array

    The underlying array

    Definition Classes
      ofByte → WrappedArray

21. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

22. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this iterable collection should be compared

    returns

      `true`, if this iterable collection can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

23. #### def clone(): WrappedArray[Byte]

    Clones this object, including the underlying Array.

    Clones this object, including the underlying Array.

    returns

      a copy of the receiver object.

    Definition Classes
      WrappedArray → Cloneable → AnyRef

24. #### def collect[B](pf: PartialFunction[A, B]): WrappedArray[B]

    [use case] Builds a new collection by applying a partial function to all elements of this wrapped array on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this wrapped array on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the wrapped array.

    returns

      a new wrapped array resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[Byte, B])(implicit bf: CanBuildFrom[WrappedArray[Byte], B, That]): That

25. #### def collectFirst[B](pf: PartialFunction[Byte, B]): Option[B]

    Finds the first element of the traversable or iterator for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the traversable or iterator for which the given partial function is defined, and applies the partial function to it.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

26. #### def combinations(n: Int): Iterator[WrappedArray[Byte]]

    Iterates over combinations.

    Iterates over combinations. A _combination_ of length `n` is a subsequence of the original sequence, with the elements taken in order. Thus, `"xy"` and `"yy"` are both length-2 combinations of `"xyy"`, but `"yx"` is not. If there is more than one way to generate the same subsequence, only one will be returned.

    For example, `"xyyy"` has three different ways to generate `"xy"` depending on whether the first, second, or third `"y"` is selected. However, since all are identical, only one will be chosen. Which of the three will be taken is an implementation detail that is not defined.

    returns

      An Iterator which traverses the possible n-element combinations of this sequence.

    Definition Classes
      SeqLike
    Example:

    1. `"abbbc".combinations(2) = Iterator(ab, ac, bb, bc)`

27. #### def companion: GenericCompanion[IndexedSeq]

    The factory companion object that builds instances of class `IndexedSeq`.

    The factory companion object that builds instances of class `IndexedSeq`. (or its `Iterable` superclass where class `IndexedSeq` is not a `Seq`.)

    Definition Classes
      IndexedSeq → IndexedSeq → Seq → Seq → GenSeq → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

28. #### def compose[A](g: (A) ⇒ Int): (A) ⇒ Byte

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

29. #### def contains[A1 >: Byte](elem: A1): Boolean

    Tests whether this sequence contains a given value as an element.

    Tests whether this sequence contains a given value as an element.

    Note: may not terminate for infinite-sized collections.

    elem

      the element to test.

    returns

      `true` if this sequence has an element that is equal (as determined by `==`) to `elem`, `false` otherwise.

    Definition Classes
      SeqLike

30. #### def containsSlice[B](that: GenSeq[B]): Boolean

    Tests whether this sequence contains a given sequence as a slice.

    Tests whether this sequence contains a given sequence as a slice.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence to test

    returns

      `true` if this sequence contains a slice with the same elements as `that`, otherwise `false`.

    Definition Classes
      SeqLike

31. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this wrapped array to an array.

    [use case]

    Copies elements of this wrapped array to an array. Fills the given array `xs` with at most `len` elements of this wrapped array, starting at position `start`. Copying will stop once either the end of the current wrapped array is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Byte](xs: Array[B], start: Int, len: Int): Unit

32. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this wrapped array to an array.

    [use case]

    Copies values of this wrapped array to an array. Fills the given array `xs` with values of this wrapped array. Copying will stop once either the end of the current wrapped array is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Byte](xs: Array[B]): Unit

33. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this wrapped array to an array.

    [use case]

    Copies values of this wrapped array to an array. Fills the given array `xs` with values of this wrapped array, beginning at index `start`. Copying will stop once either the end of the current wrapped array is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Byte](xs: Array[B], start: Int): Unit

34. #### def copyToBuffer[B >: Byte](dest: Buffer[B]): Unit

    Copies all elements of this traversable or iterator to a buffer.

    Copies all elements of this traversable or iterator to a buffer.

    Note: will not terminate for infinite-sized collections.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

35. #### def corresponds[B](that: GenSeq[B])(p: (Byte, B) ⇒ Boolean): Boolean

    Tests whether every element of this sequence relates to the corresponding element of another sequence by satisfying a test predicate.

    Tests whether every element of this sequence relates to the corresponding element of another sequence by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other sequence

    p

      the test predicate, which relates elements from both sequences

    returns

      `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this sequence and `y` of `that`, otherwise `false`.

    Definition Classes
      SeqLike → GenSeqLike

36. #### def count(p: (Byte) ⇒ Boolean): Int

    Counts the number of elements in the traversable or iterator which satisfy a predicate.

    Counts the number of elements in the traversable or iterator which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

37. #### def deep: collection.IndexedSeq[Any]

    Creates a possible nested `IndexedSeq` which consists of all the elements of this array.

    Creates a possible nested `IndexedSeq` which consists of all the elements of this array. If the elements are arrays themselves, the `deep` transformation is applied recursively to them. The `stringPrefix` of the `IndexedSeq` is "Array", hence the `IndexedSeq` prints like an array with all its elements shown, and the same recursively for any subarrays.

    Example:

        Array(Array(1, 2), Array(3, 4)).deep.toString

    prints: `Array(Array(1, 2), Array(3, 4))`

    returns

      An possibly nested indexed sequence of consisting of all the elements of the array.

    Definition Classes
      ArrayLike

38. #### def diff(that: collection.Seq[Byte]): WrappedArray[Byte]

    [use case] Computes the multiset difference between this wrapped array and another sequence.

    [use case]

    Computes the multiset difference between this wrapped array and another sequence.

    that

      the sequence of elements to remove

    returns

      a new wrapped array which contains all elements of this wrapped array except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def diff[B >: Byte](that: GenSeq[B]): WrappedArray[Byte]

39. #### def distinct: WrappedArray[Byte]

    Builds a new sequence from this sequence without any duplicate elements.

    Builds a new sequence from this sequence without any duplicate elements.

    Note: will not terminate for infinite-sized collections.

    returns

      A new sequence which contains the first occurrence of every element of this sequence.

    Definition Classes
      SeqLike → GenSeqLike

40. #### def drop(n: Int): WrappedArray[Byte]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    n

      the number of elements to drop from this sequence.

    returns

      a sequence consisting of all elements of this sequence except the first `n` ones, or else the empty sequence, if this sequence has less than `n` elements.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

41. #### def dropRight(n: Int): WrappedArray[Byte]

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    n

      The number of elements to take

    returns

      a sequence consisting of all elements of this sequence except the last `n` ones, or else the empty sequence, if this sequence has less than `n` elements.

    Definition Classes
      IndexedSeqOptimized → IterableLike

42. #### def dropWhile(p: (Byte) ⇒ Boolean): WrappedArray[Byte]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    returns

      the longest suffix of this sequence whose first element does not satisfy the predicate `p`.

    Definition Classes
      IndexedSeqOptimized → TraversableLike → GenTraversableLike

43. #### def elemTag: ClassTag[Byte]

    The tag of the element type

    The tag of the element type

    Definition Classes
      ofByte → WrappedArray

44. #### def endsWith[B](that: GenSeq[B]): Boolean

    Tests whether this sequence ends with the given sequence.

    Tests whether this sequence ends with the given sequence.

    that

      the sequence to test

    returns

      `true` if this sequence has `that` as a suffix, `false` otherwise.

    Definition Classes
      IndexedSeqOptimized → SeqLike → GenSeqLike

45. #### def ensuring(cond: (ofByte) ⇒ Boolean, msg: ⇒ Any): ofByte

    Implicit information
      This member is added by an implicit conversion from ofByte to Ensuring[ofByte] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

46. #### def ensuring(cond: (ofByte) ⇒ Boolean): ofByte

    Implicit information
      This member is added by an implicit conversion from ofByte to Ensuring[ofByte] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

47. #### def ensuring(cond: Boolean, msg: ⇒ Any): ofByte

    Implicit information
      This member is added by an implicit conversion from ofByte to Ensuring[ofByte] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

48. #### def ensuring(cond: Boolean): ofByte

    Implicit information
      This member is added by an implicit conversion from ofByte to Ensuring[ofByte] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

49. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

50. #### def equals(that: Any): Boolean

    The equals method for arbitrary sequences.

    The equals method for arbitrary sequences. Compares this sequence to some other object.

    that

      The object to compare the sequence to

    returns

      `true` if `that` is a sequence that has the same elements as this sequence in the same order, `false` otherwise

    Definition Classes
      GenSeqLike → Equals → Any

51. #### def exists(p: (Byte) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this sequence.

    Tests whether a predicate holds for some of the elements of this sequence.

    p

      the predicate used to test elements.

    returns

      `false` if this sequence is empty, otherwise `true` if the given predicate `p` holds for some of the elements of this sequence, otherwise `false`

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

52. #### def filter(p: (Byte) ⇒ Boolean): WrappedArray[Byte]

    Selects all elements of this traversable collection which satisfy a predicate.

    Selects all elements of this traversable collection which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new traversable collection consisting of all elements of this traversable collection that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

53. #### def filterNot(p: (Byte) ⇒ Boolean): WrappedArray[Byte]

    Selects all elements of this traversable collection which do not satisfy a predicate.

    Selects all elements of this traversable collection which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new traversable collection consisting of all elements of this traversable collection that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

54. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

55. #### def find(p: (Byte) ⇒ Boolean): Option[Byte]

    Finds the first element of the sequence satisfying a predicate, if any.

    Finds the first element of the sequence satisfying a predicate, if any.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the sequence that satisfies `p`, or `None` if none exists.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

56. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): WrappedArray[B]

    [use case] Builds a new collection by applying a function to all elements of this wrapped array and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this wrapped array and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of wrapped array. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new wrapped array resulting from applying the given collection-valued function `f` to each element of this wrapped array and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: (Byte) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[WrappedArray[Byte], B, That]): That

57. #### def flatten[B]: WrappedArray[B]

    [use case] Converts this wrapped array of traversable collections into a wrapped array formed by the elements of these traversable collections.

    [use case]

    Converts this wrapped array of traversable collections into a wrapped array formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of wrapped array. For example:

        val xs = List(
                   Set(1, 2, 3),
                   Set(1, 2, 3)
                 ).flatten
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(
                   List(1, 2, 3),
                   List(3, 2, 1)
                 ).flatten
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new wrapped array resulting from concatenating all element wrapped arrays.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (Byte) ⇒ GenTraversableOnce[B]): IndexedSeq[B]

58. #### def fold[A1 >: Byte](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this traversable or iterator using the specified associative binary operator.

    Folds the elements of this traversable or iterator using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

59. #### def foldLeft[B](z: B)(op: (B, Byte) ⇒ B): B

    Applies a binary operator to a start value and all elements of this sequence, going left to right.

    Applies a binary operator to a start value and all elements of this sequence, going left to right.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this sequence, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this sequence.

    Definition Classes
      IndexedSeqOptimized → TraversableOnce → GenTraversableOnce

60. #### def foldRight[B](z: B)(op: (Byte, B) ⇒ B): B

    Applies a binary operator to all elements of this sequence and a start value, going right to left.

    Applies a binary operator to all elements of this sequence and a start value, going right to left.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this sequence, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this sequence.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableOnce → GenTraversableOnce

61. #### def forall(p: (Byte) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this sequence.

    Tests whether a predicate holds for all elements of this sequence.

    p

      the predicate used to test elements.

    returns

      `true` if this sequence is empty, otherwise `true` if the given predicate `p` holds for all elements of this sequence, otherwise `false`.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

62. #### def foreach(f: (A) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this wrapped array.

    [use case]

    Applies a function `f` to all elements of this wrapped array.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### def foreach[U](f: (Byte) ⇒ U): Unit

63. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from ofByte to StringFormat[ofByte] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

64. #### def genericBuilder[B]: Builder[B, IndexedSeq[B]]

    The generic builder that builds instances of Traversable at arbitrary element types.

    The generic builder that builds instances of Traversable at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

65. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

66. #### def groupBy[K](f: (Byte) ⇒ K): immutable.Map[K, WrappedArray[Byte]]

    Partitions this traversable collection into a map of traversable collections according to some discriminator function.

    Partitions this traversable collection into a map of traversable collections according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new traversable collection.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to traversable collections such that the following invariant holds:

          (xs groupBy f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a traversable collection of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

67. #### def grouped(size: Int): Iterator[WrappedArray[Byte]]

    Partitions elements in fixed size iterable collections.

    Partitions elements in fixed size iterable collections.

    size

      the number of elements per group

    returns

      An iterator producing iterable collections of size `size`, except the last will be less than size `size` if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      scala.collection.Iterator, method `grouped`

68. #### def hasDefiniteSize: Boolean

    Tests whether this traversable collection is known to have a finite size.

    Tests whether this traversable collection is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

69. #### def hashCode(): Int

    Hashcodes for IndexedSeq produce a value from the hashcodes of all the elements of the sequence.

    Hashcodes for IndexedSeq produce a value from the hashcodes of all the elements of the sequence.

    returns

      the hash code value for this object.

    Definition Classes
      IndexedSeqLike → GenSeqLike → Any

70. #### def head: Byte

    Selects the first element of this sequence.

    Selects the first element of this sequence.

    returns

      the first element of this sequence.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown

      `NoSuchElementException` if the sequence is empty.

71. #### def headOption: Option[Byte]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this traversable collection if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

72. #### def indexOf(elem: Byte, from: Int): Int

    [use case] Finds index of first occurrence of some value in this wrapped array after or at some start index.

    [use case]

    Finds index of first occurrence of some value in this wrapped array after or at some start index.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this wrapped array that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: Byte](elem: B, from: Int): Int

73. #### def indexOf(elem: Byte): Int

    [use case] Finds index of first occurrence of some value in this wrapped array.

    [use case]

    Finds index of first occurrence of some value in this wrapped array.

    elem

      the element value to search for.

    returns

      the index of the first element of this wrapped array that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: Byte](elem: B): Int

74. #### def indexOfSlice[B >: Byte](that: GenSeq[B], from: Int): Int

    Finds first index after or at a start index where this sequence contains a given sequence as a slice.

    Finds first index after or at a start index where this sequence contains a given sequence as a slice.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence to test

    from

      the start index

    returns

      the first index `>= from` such that the elements of this sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

75. #### def indexOfSlice[B >: Byte](that: GenSeq[B]): Int

    Finds first index where this sequence contains a given sequence as a slice.

    Finds first index where this sequence contains a given sequence as a slice.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence to test

    returns

      the first index such that the elements of this sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

76. #### def indexWhere(p: (Byte) ⇒ Boolean, from: Int): Int

    Finds index of the first element satisfying some predicate after or at some start index.

    Finds index of the first element satisfying some predicate after or at some start index.

    p

      the predicate used to test elements.

    from

      the start index

    returns

      the index `>= from` of the first element of this sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      IndexedSeqOptimized → SeqLike → GenSeqLike

77. #### def indexWhere(p: (Byte) ⇒ Boolean): Int

    Finds index of first element satisfying some predicate.

    Finds index of first element satisfying some predicate.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      the index of the first element of this general sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

78. #### def indices: immutable.Range

    Produces the range of all indices of this sequence.

    Produces the range of all indices of this sequence.

    returns

      a `Range` value from `0` to one less than the length of this sequence.

    Definition Classes
      SeqLike

79. #### def init: WrappedArray[Byte]

    Selects all elements except the last.

    Selects all elements except the last.

    returns

      a sequence consisting of all elements of this sequence except the last one.

    Definition Classes
      IndexedSeqOptimized → TraversableLike → GenTraversableLike
    Exceptions thrown

      `UnsupportedOperationException` if the sequence is empty.

80. #### def inits: Iterator[WrappedArray[Byte]]

    Iterates over the inits of this traversable collection.

    Iterates over the inits of this traversable collection. The first value will be this traversable collection and the final one will be an empty traversable collection, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this traversable collection

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

81. #### def intersect(that: collection.Seq[Byte]): WrappedArray[Byte]

    [use case] Computes the multiset intersection between this wrapped array and another sequence.

    [use case]

    Computes the multiset intersection between this wrapped array and another sequence.

    that

      the sequence of elements to intersect with.

    returns

      a new wrapped array which contains all elements of this wrapped array which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def intersect[B >: Byte](that: GenSeq[B]): WrappedArray[Byte]

82. #### def isDefinedAt(idx: Int): Boolean

    Tests whether this general sequence contains given index.

    Tests whether this general sequence contains given index.

    The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

    idx

      the index to test

    returns

      `true` if this general sequence contains an element at position `idx`, `false` otherwise.

    Definition Classes
      GenSeqLike

83. #### def isEmpty: Boolean

    Tests whether this sequence is empty.

    Tests whether this sequence is empty.

    returns

      `true` if the sequence contain no elements, `false` otherwise.

    Definition Classes
      IndexedSeqOptimized → SeqLike → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

84. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

85. #### final def isTraversableAgain: Boolean

    Tests whether this traversable collection can be repeatedly traversed.

    Tests whether this traversable collection can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      TraversableLike → GenTraversableLike → GenTraversableOnce

86. #### def iterator: Iterator[Byte]

    Creates a new iterator over all elements contained in this iterable object.

    Creates a new iterator over all elements contained in this iterable object.

    returns

      the new iterator

    Definition Classes
      IndexedSeqLike → IterableLike → GenIterableLike

87. #### def last: Byte

    Selects the last element.

    Selects the last element.

    returns

      The last element of this sequence.

    Definition Classes
      IndexedSeqOptimized → TraversableLike → GenTraversableLike
    Exceptions thrown

      `NoSuchElementException` If the sequence is empty.

88. #### def lastIndexOf(elem: Byte, end: Int): Int

    [use case] Finds index of last occurrence of some value in this wrapped array before or at a given end index.

    [use case]

    Finds index of last occurrence of some value in this wrapped array before or at a given end index.

    elem

      the element value to search for.

    end

      the end index.

    returns

      the index `<= end` of the last element of this wrapped array that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def lastIndexOf[B >: Byte](elem: B, end: Int): Int

89. #### def lastIndexOf(elem: Byte): Int

    [use case] Finds index of last occurrence of some value in this wrapped array.

    [use case]

    Finds index of last occurrence of some value in this wrapped array.

    elem

      the element value to search for.

    returns

      the index of the last element of this wrapped array that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def lastIndexOf[B >: Byte](elem: B): Int

90. #### def lastIndexOfSlice[B >: Byte](that: GenSeq[B], end: Int): Int

    Finds last index before or at a given end index where this sequence contains a given sequence as a slice.

    Finds last index before or at a given end index where this sequence contains a given sequence as a slice.

    that

      the sequence to test

    end

      the end index

    returns

      the last index `<= end` such that the elements of this sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

91. #### def lastIndexOfSlice[B >: Byte](that: GenSeq[B]): Int

    Finds last index where this sequence contains a given sequence as a slice.

    Finds last index where this sequence contains a given sequence as a slice.

    Note: will not terminate for infinite-sized collections.

    that

      the sequence to test

    returns

      the last index such that the elements of this sequence starting a this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

92. #### def lastIndexWhere(p: (Byte) ⇒ Boolean, end: Int): Int

    Finds index of last element satisfying some predicate before or at given end index.

    Finds index of last element satisfying some predicate before or at given end index.

    p

      the predicate used to test elements.

    returns

      the index `<= end` of the last element of this sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      IndexedSeqOptimized → SeqLike → GenSeqLike

93. #### def lastIndexWhere(p: (Byte) ⇒ Boolean): Int

    Finds index of last element satisfying some predicate.

    Finds index of last element satisfying some predicate.

    Note: will not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      the index of the last element of this general sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

94. #### def lastOption: Option[Byte]

    Optionally selects the last element.

    Optionally selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the last element of this traversable collection$ if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

95. #### def length: Int

    The length of the array

    The length of the array

    returns

      the number of elements in this wrapped array.

    Definition Classes
      ofByte → WrappedArray → SeqLike → GenSeqLike

96. #### def lengthCompare(len: Int): Int

    Compares the length of this sequence to a test value.

    Compares the length of this sequence to a test value.

    len

      the test value that gets compared with the length.

    returns

      A value `x` where

          x <  0       if this.length <  len
          x == 0       if this.length == len
          x >  0       if this.length >  len

      The method as implemented here does not call `length` directly; its running time is `O(length min len)` instead of `O(length)`. The method should be overwritten if computing `length` is cheap.

    Definition Classes
      IndexedSeqOptimized → SeqLike

97. #### def lift: (Int) ⇒ Option[Byte]

    Turns this partial function into a plain function returning an `Option` result.

    Turns this partial function into a plain function returning an `Option` result.

    returns

      a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

    Definition Classes
      PartialFunction
    See also

      Function.unlift

98. #### def map[B](f: (A) ⇒ B): WrappedArray[B]

    [use case] Builds a new collection by applying a function to all elements of this wrapped array.

    [use case]

    Builds a new collection by applying a function to all elements of this wrapped array.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new wrapped array resulting from applying the given function `f` to each element of this wrapped array and collecting the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def map[B, That](f: (Byte) ⇒ B)(implicit bf: CanBuildFrom[WrappedArray[Byte], B, That]): That

99. #### def max: A

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this wrapped array.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def max[B >: Byte](implicit cmp: Ordering[B]): Byte

100. #### def maxBy[B](f: (A) ⇒ B): A

     [use case] Finds the first element which yields the largest value measured by function f.

     [use case]

     Finds the first element which yields the largest value measured by function f.

     B

       The result type of the function f.

     f

       The measuring function.

     returns

       the first element of this wrapped array with the largest value measured by function f.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def maxBy[B](f: (Byte) ⇒ B)(implicit cmp: Ordering[B]): Byte

101. #### def min: A

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this wrapped array

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def min[B >: Byte](implicit cmp: Ordering[B]): Byte

102. #### def minBy[B](f: (A) ⇒ B): A

     [use case] Finds the first element which yields the smallest value measured by function f.

     [use case]

     Finds the first element which yields the smallest value measured by function f.

     B

       The result type of the function f.

     f

       The measuring function.

     returns

       the first element of this wrapped array with the smallest value measured by function f.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def minBy[B](f: (Byte) ⇒ B)(implicit cmp: Ordering[B]): Byte

103. #### def mkString: String

     Displays all elements of this traversable or iterator in a string.

     Displays all elements of this traversable or iterator in a string.

     returns

       a string representation of this traversable or iterator. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator follow each other without any separator string.

     Definition Classes
       TraversableOnce → GenTraversableOnce

104. #### def mkString(sep: String): String

     Displays all elements of this traversable or iterator in a string using a separator string.

     Displays all elements of this traversable or iterator in a string using a separator string.

     sep

       the separator string.

     returns

       a string representation of this traversable or iterator. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

105. #### def mkString(start: String, sep: String, end: String): String

     Displays all elements of this traversable or iterator in a string using start, end, and separator strings.

     Displays all elements of this traversable or iterator in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this traversable or iterator. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

106. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

107. #### def newBuilder: Builder[Byte, WrappedArray[Byte]]

     Creates new builder for this collection ==> move to subclasses

     Creates new builder for this collection ==> move to subclasses

     Attributes
       protected[this]
     Definition Classes
       WrappedArray → GenericTraversableTemplate → TraversableLike → HasNewBuilder

108. #### def nonEmpty: Boolean

     Tests whether the traversable or iterator is not empty.

     Tests whether the traversable or iterator is not empty.

     returns

       `true` if the traversable or iterator contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

109. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

110. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

111. #### def orElse[A1 <: Int, B1 >: Byte](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction

112. #### def padTo(len: Int, elem: A): WrappedArray[A]

     [use case] A copy of this wrapped array with an element value appended until a given target length is reached.

     [use case]

     A copy of this wrapped array with an element value appended until a given target length is reached.

     len

       the target length

     elem

       the padding value

     returns

       a new wrapped array consisting of all elements of this wrapped array followed by the minimal number of occurrences of `elem` so that the resulting wrapped array has a length of at least `len`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def padTo[B >: Byte, That](len: Int, elem: B)(implicit bf: CanBuildFrom[WrappedArray[Byte], B, That]): That

113. #### def par: ParArray[Byte]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       WrappedArray → CustomParallelizable → Parallelizable

114. #### def parCombiner: Combiner[Byte, ParArray[Byte]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       CustomParallelizable → Parallelizable

115. #### def partition(p: (Byte) ⇒ Boolean): (WrappedArray[Byte], WrappedArray[Byte])

     Partitions this traversable collection in two traversable collections according to a predicate.

     Partitions this traversable collection in two traversable collections according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of traversable collections: the first traversable collection consists of all elements that satisfy the predicate `p` and the second traversable collection consists of all elements that don't. The relative order of the elements in the resulting traversable collections is the same as in the original traversable collection.

     Definition Classes
       TraversableLike → GenTraversableLike

116. #### def patch(from: Int, that: GenSeq[A], replaced: Int): WrappedArray[A]

     [use case] Produces a new wrapped array where a slice of elements in this wrapped array is replaced by another sequence.

     [use case]

     Produces a new wrapped array where a slice of elements in this wrapped array is replaced by another sequence.

     from

       the index of the first replaced element

     replaced

       the number of elements to drop in the original wrapped array

     returns

       a new wrapped array consisting of all elements of this wrapped array except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def patch[B >: Byte, That](from: Int, patch: GenSeq[B], replaced: Int)(implicit bf: CanBuildFrom[WrappedArray[Byte], B, That]): That

117. #### def permutations: Iterator[WrappedArray[Byte]]

     Iterates over distinct permutations.

     Iterates over distinct permutations.

     returns

       An Iterator which traverses the distinct permutations of this sequence.

     Definition Classes
       SeqLike
     Example:

     1. `"abb".permutations = Iterator(abb, bab, bba)`

118. #### def prefixLength(p: (Byte) ⇒ Boolean): Int

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Note: may not terminate for infinite-sized collections.

     p

       the predicate used to test elements.

     returns

       the length of the longest prefix of this general sequence such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       GenSeqLike

119. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this wrapped array of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the wrapped array and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: Byte](implicit num: Numeric[B]): B

120. #### def reduce[A1 >: Byte](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this traversable or iterator using the specified associative binary operator.

     Reduces the elements of this traversable or iterator using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the traversable or iterator is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown

       `UnsupportedOperationException` if this traversable or iterator is empty.

121. #### def reduceLeft[B >: Byte](op: (B, Byte) ⇒ B): B

     Applies a binary operator to all elements of this sequence, going left to right.

     Applies a binary operator to all elements of this sequence, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this sequence, going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this sequence.

     Definition Classes
       IndexedSeqOptimized → TraversableOnce
     Exceptions thrown

       `UnsupportedOperationException` if this sequence is empty.

122. #### def reduceLeftOption[B >: Byte](op: (B, Byte) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this traversable or iterator, going left to right.

     Optionally applies a binary operator to all elements of this traversable or iterator, going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this traversable or iterator is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

123. #### def reduceOption[A1 >: Byte](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this traversable or iterator, if any, using the specified associative binary operator.

     Reduces the elements of this traversable or iterator, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

124. #### def reduceRight[B >: Byte](op: (Byte, B) ⇒ B): B

     Applies a binary operator to all elements of this sequence, going right to left.

     Applies a binary operator to all elements of this sequence, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this sequence, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this sequence.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown

       `UnsupportedOperationException` if this sequence is empty.

125. #### def reduceRightOption[B >: Byte](op: (Byte, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this traversable or iterator, going right to left.

     Optionally applies a binary operator to all elements of this traversable or iterator, going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this traversable or iterator is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

126. #### def repr: WrappedArray[Byte]

     The collection of type traversable collection underlying this `TraversableLike` object.

     The collection of type traversable collection underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

127. #### def reverse: WrappedArray[Byte]

     Returns new sequence with elements in reversed order.

     Returns new sequence with elements in reversed order.

     returns

       A new sequence with all elements of this sequence in reversed order.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

128. #### def reverseIterator: Iterator[Byte]

     An iterator yielding elements in reversed order.

     An iterator yielding elements in reversed order.

     Note: `xs.reverseIterator` is the same as `xs.reverse.iterator` but might be more efficient.

     returns

       an iterator yielding the elements of this sequence in reversed order

     Definition Classes
       IndexedSeqOptimized → SeqLike

129. #### def reverseMap[B](f: (A) ⇒ B): WrappedArray[B]

     [use case] Builds a new collection by applying a function to all elements of this wrapped array and collecting the results in reversed order.

     [use case]

     Builds a new collection by applying a function to all elements of this wrapped array and collecting the results in reversed order.

     Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new wrapped array resulting from applying the given function `f` to each element of this wrapped array and collecting the results in reversed order.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def reverseMap[B, That](f: (Byte) ⇒ B)(implicit bf: CanBuildFrom[WrappedArray[Byte], B, That]): That

130. #### def reversed: List[Byte]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

131. #### def runWith[U](action: (Byte) ⇒ U): (Int) ⇒ Boolean

     Composes this partial function with an action function which gets applied to results of this partial function.

     Composes this partial function with an action function which gets applied to results of this partial function. The action function is invoked only for its side effects; its result is ignored.

     Note that expression `pf.runWith(action)(x)` is equivalent to

         if(pf isDefinedAt x) { action(pf(x)); true } else false

     except that `runWith` is implemented via `applyOrElse` and thus potentially more efficient. Using `runWith` avoids double evaluation of pattern matchers and guards for partial function literals.

     action

       the action function

     returns

       a function which maps arguments `x` to `isDefinedAt(x)`. The resulting function runs `action(this(x))` where `this` is defined.

     Definition Classes
       PartialFunction
     Since

       2.10

     See also

       `applyOrElse`.

132. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this wrapped array.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this wrapped array.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: Byte](that: GenIterable[B]): Boolean

133. #### def scan[B >: Byte, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[WrappedArray[Byte], B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new traversable collection containing the prefix scan of the elements in this traversable collection

     Definition Classes
       TraversableLike → GenTraversableLike

134. #### def scanLeft[B, That](z: B)(op: (B, Byte) ⇒ B)(implicit bf: CanBuildFrom[WrappedArray[Byte], B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

135. #### def scanRight[B, That](z: B)(op: (Byte, B) ⇒ B)(implicit bf: CanBuildFrom[WrappedArray[Byte], B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

136. #### def segmentLength(p: (Byte) ⇒ Boolean, from: Int): Int

     Computes length of longest segment whose elements all satisfy some predicate.

     Computes length of longest segment whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     from

       the index where the search starts.

     returns

       the length of the longest segment of this sequence starting from index `from` such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

137. #### def seq: IndexedSeq[Byte]

     A version of this collection with all of the operations implemented sequentially (i.e., in a single-threaded manner).

     A version of this collection with all of the operations implemented sequentially (i.e., in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       IndexedSeq → IndexedSeq → IndexedSeqLike → Seq → Seq → GenSeq → GenSeqLike → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

138. #### def size: Int

     The size of this sequence, equivalent to `length`.

     The size of this sequence, equivalent to `length`.

     Note: will not terminate for infinite-sized collections.

     returns

       the number of elements in this sequence.

     Definition Classes
       SeqLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

139. #### def slice(from: Int, until: Int): WrappedArray[Byte]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     returns

       a sequence containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this sequence.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

140. #### def sliding(size: Int, step: Int): Iterator[WrappedArray[Byte]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups

     returns

       An iterator producing iterable collections of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

141. #### def sliding(size: Int): Iterator[WrappedArray[Byte]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.) "Sliding window" step is 1 by default.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.) "Sliding window" step is 1 by default.

     size

       the number of elements per group

     returns

       An iterator producing iterable collections of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

142. #### def sortBy[B](f: (Byte) ⇒ B)(implicit ord: math.Ordering[B]): WrappedArray[Byte]

     Sorts this `Seq` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Sorts this `Seq` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     B

       the target type of the transformation `f`, and the type where the ordering `ord` is defined.

     f

       the transformation function mapping elements to some other domain `B`.

     ord

       the ordering assumed on domain `B`.

     returns

       a sequence consisting of the elements of this sequence sorted according to the ordering where `x < y` if `ord.lt(f(x), f(y))`.

     Definition Classes
       SeqLike
     Example:

     1.     val words = "The quick brown fox jumped over the lazy dog".split(' ')
            // this works because scala.Ordering will implicitly provide an Ordering[Tuple2[Int, Char]]
            words.sortBy(x => (x.length, x.head))
            res0: Array[String] = Array(The, dog, fox, the, lazy, over, brown, quick, jumped)

     See also

       scala.math.Ordering

       Note: will not terminate for infinite-sized collections.

143. #### def sortWith(lt: (Byte, Byte) ⇒ Boolean): WrappedArray[Byte]

     Sorts this sequence according to a comparison function.

     Sorts this sequence according to a comparison function.

     Note: will not terminate for infinite-sized collections.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     lt

       the comparison function which tests whether its first argument precedes its second argument in the desired ordering.

     returns

       a sequence consisting of the elements of this sequence sorted according to the comparison function `lt`.

     Definition Classes
       SeqLike
     Example:

     1.     List("Steve", "Tom", "John", "Bob").sortWith(_.compareTo(_) < 0) =
            List("Bob", "John", "Steve", "Tom")

144. #### def sorted[B >: Byte](implicit ord: math.Ordering[B]): WrappedArray[Byte]

     Sorts this sequence according to an Ordering.

     Sorts this sequence according to an Ordering.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     ord

       the ordering to be used to compare elements.

     returns

       a sequence consisting of the elements of this sequence sorted according to the ordering `ord`.

     Definition Classes
       SeqLike
     See also

       scala.math.Ordering

145. #### def span(p: (Byte) ⇒ Boolean): (WrappedArray[Byte], WrappedArray[Byte])

     Splits this sequence into a prefix/suffix pair according to a predicate.

     Splits this sequence into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     returns

       a pair consisting of the longest prefix of this sequence whose elements all satisfy `p`, and the rest of this sequence.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike

146. #### def splitAt(n: Int): (WrappedArray[Byte], WrappedArray[Byte])

     Splits this sequence into two at a given position.

     Splits this sequence into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     n

       the position at which to split.

     returns

       a pair of sequences consisting of the first `n` elements of this sequence, and the other elements.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike

147. #### def startsWith[B](that: GenSeq[B], offset: Int): Boolean

     Tests whether this sequence contains the given sequence at a given index.

     Tests whether this sequence contains the given sequence at a given index.

     Note: If the both the receiver object `this` and the argument `that` are infinite sequences this method may not terminate.

     that

       the sequence to test

     offset

       the index where the sequence is searched.

     returns

       `true` if the sequence `that` is contained in this sequence at index `offset`, otherwise `false`.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

148. #### def startsWith[B](that: GenSeq[B]): Boolean

     Tests whether this general sequence starts with the given sequence.

     Tests whether this general sequence starts with the given sequence.

     that

       the sequence to test

     returns

       `true` if this collection has `that` as a prefix, `false` otherwise.

     Definition Classes
       GenSeqLike

149. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this wrapped array. By default the string prefix is the simple name of the collection class wrapped array.

     Definition Classes
       WrappedArray → TraversableLike → GenTraversableLike

150. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this wrapped array of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the wrapped array and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[B >: Byte](implicit num: Numeric[B]): B

151. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

152. #### def tail: WrappedArray[Byte]

     Selects all elements except the first.

     Selects all elements except the first.

     returns

       a sequence consisting of all elements of this sequence except the first one.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike
     Exceptions thrown

       ``UnsupportedOperationException`` if the sequence is empty.

153. #### def tails: Iterator[WrappedArray[Byte]]

     Iterates over the tails of this traversable collection.

     Iterates over the tails of this traversable collection. The first value will be this traversable collection and the final one will be an empty traversable collection, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this traversable collection

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

154. #### def take(n: Int): WrappedArray[Byte]

     Selects first n elements.

     Selects first n elements.

     n

       the number of elements to take from this sequence.

     returns

       a sequence consisting only of the first `n` elements of this sequence, or else the whole sequence, if it has less than `n` elements.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

155. #### def takeRight(n: Int): WrappedArray[Byte]

     Selects last n elements.

     Selects last n elements.

     n

       the number of elements to take

     returns

       a sequence consisting only of the last `n` elements of this sequence, or else the whole sequence, if it has less than `n` elements.

     Definition Classes
       IndexedSeqOptimized → IterableLike

156. #### def takeWhile(p: (Byte) ⇒ Boolean): WrappedArray[Byte]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     returns

       the longest prefix of this sequence whose elements all satisfy the predicate `p`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

157. #### def thisCollection: WrappedArray[Byte]

     The underlying collection seen as an instance of ``WrappedArray``.

     The underlying collection seen as an instance of ``WrappedArray``. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       WrappedArray → IndexedSeqLike → IndexedSeqLike → SeqLike → IterableLike → TraversableLike

158. #### def to[Col[_]]: Col[A]

     [use case] Converts this wrapped array into another by copying all elements.

     [use case]

     Converts this wrapped array into another by copying all elements.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this wrapped array.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, Byte, Col[Byte]]): Col[Byte]

159. #### def toArray: Array[A]

     [use case] Converts this wrapped array to an array.

     [use case]

     Converts this wrapped array to an array.

     returns

       an array containing all elements of this wrapped array. An `ClassTag` must be available for the element type of this wrapped array.

     Definition Classes
       WrappedArray → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[U >: Byte](implicit arg0: ClassTag[U]): Array[U]

160. #### def toBuffer[A1 >: Byte]: Buffer[A1]

     Uses the contents of this sequence to create a new mutable buffer.

     Uses the contents of this sequence to create a new mutable buffer.

     returns

       a buffer containing all elements of this sequence.

     Definition Classes
       IndexedSeqLike → TraversableOnce → GenTraversableOnce

161. #### def toCollection(repr: WrappedArray[Byte]): WrappedArray[Byte]

     A conversion from collections of type `Repr` to ``WrappedArray`` objects.

     A conversion from collections of type `Repr` to ``WrappedArray`` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       WrappedArray → IndexedSeqLike → IndexedSeqLike → SeqLike → IterableLike → TraversableLike

162. #### def toIndexedSeq: immutable.IndexedSeq[Byte]

     Converts this traversable or iterator to an indexed sequence.

     Converts this traversable or iterator to an indexed sequence.

     Note: will not terminate for infinite-sized collections.

     returns

       an indexed sequence containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

163. #### def toIterable: collection.Iterable[Byte]

     Returns this iterable collection as an iterable collection.

     Returns this iterable collection as an iterable collection.

     A new collection will not be built; lazy collections will stay lazy.

     Note: will not terminate for infinite-sized collections.

     returns

       an `Iterable` containing all elements of this iterable collection.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

164. #### def toIterator: Iterator[Byte]

     Returns an Iterator over the elements in this iterable collection.

     Returns an Iterator over the elements in this iterable collection. Produces the same result as `iterator`.

     Note: will not terminate for infinite-sized collections.

     returns

       an Iterator containing all elements of this iterable collection.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce
     Annotations
       @deprecatedOverriding( ... , "2.11.0" )

165. #### def toList: List[Byte]

     Converts this traversable or iterator to a list.

     Converts this traversable or iterator to a list.

     Note: will not terminate for infinite-sized collections.

     returns

       a list containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

166. #### def toMap[T, U]: collection.Map[T, U]

     [use case] Converts this wrapped array to a map.

     [use case]

     Converts this wrapped array to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this wrapped array.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[Byte, (T, U)]): immutable.Map[T, U]

167. #### def toParArray: ParArray[T]

     Implicit information
       This member is added by an implicit conversion from ofByte to CollectionsHaveToParArray[ofByte, T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (ofByte) ⇒ GenTraversableOnce[T] is in scope.
     Definition Classes
       CollectionsHaveToParArray

168. #### def toSeq: collection.Seq[Byte]

     Converts this sequence to a sequence.

     Converts this sequence to a sequence.

     Note: will not terminate for infinite-sized collections.

     A new collection will not be built; in particular, lazy sequences will stay lazy.

     returns

       a sequence containing all elements of this sequence.

     Definition Classes
       SeqLike → GenSeqLike → TraversableOnce → GenTraversableOnce

169. #### def toSet[B >: Byte]: immutable.Set[B]

     Converts this traversable or iterator to a set.

     Converts this traversable or iterator to a set.

     Note: will not terminate for infinite-sized collections.

     returns

       a set containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

170. #### def toStream: immutable.Stream[Byte]

     Converts this iterable collection to a stream.

     Converts this iterable collection to a stream.

     returns

       a stream containing all elements of this iterable collection.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

171. #### def toString(): String

     Converts this sequence to a string.

     Converts this sequence to a string.

     returns

       a string representation of this collection. By default this string consists of the `stringPrefix` of this sequence, followed by all elements separated by commas and enclosed in parentheses.

     Definition Classes
       SeqLike → TraversableLike → Any

172. #### def toTraversable: collection.Traversable[Byte]

     Converts this traversable collection to an unspecified Traversable.

     Converts this traversable collection to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     Note: will not terminate for infinite-sized collections.

     returns

       a Traversable containing all elements of this traversable collection.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Annotations
       @deprecatedOverriding( ... , "2.11.0" )

173. #### def toVector: Vector[Byte]

     Converts this traversable or iterator to a Vector.

     Converts this traversable or iterator to a Vector.

     Note: will not terminate for infinite-sized collections.

     returns

       a vector containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

174. #### def transform(f: (Byte) ⇒ Byte): ofByte.this.type

     Applies a transformation function to all values contained in this sequence.

     Applies a transformation function to all values contained in this sequence. The transformation function produces new values from existing elements.

     f

       the transformation to apply

     returns

       the sequence itself.

     Definition Classes
       SeqLike

175. #### def transpose[B](implicit asTraversable: (Byte) ⇒ GenTraversableOnce[B]): IndexedSeq[IndexedSeq[B]]

     Transposes this collection of traversable collections into a collection of collections.

     Transposes this collection of traversable collections into a collection of collections.

     The resulting collection's type will be guided by the static type of collection. For example:

         val xs = List(
                    Set(1, 2, 3),
                    Set(4, 5, 6)).transpose
         // xs == List(
         //         List(1, 4),
         //         List(2, 5),
         //         List(3, 6))

         val ys = Vector(
                    List(1, 2, 3),
                    List(4, 5, 6)).transpose
         // ys == Vector(
         //         Vector(1, 4),
         //         Vector(2, 5),
         //         Vector(3, 6))

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this collection is a `Traversable`.

     returns

       a two-dimensional collection of collections which has as nth row the nth column of this collection.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown

       `IllegalArgumentException` if all collections in this collection are not of the same size.

176. #### def union(that: collection.Seq[Byte]): WrappedArray[Byte]

     [use case] Produces a new sequence which contains all elements of this wrapped array and also all elements of a given sequence.

     [use case]

     Produces a new sequence which contains all elements of this wrapped array and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     Another way to express this is that `xs union ys` computes the order-presevring multi-set union of `xs` and `ys`. `union` is hence a counter-part of `diff` and `intersect` which also work on multi-sets.

     that

       the sequence to add.

     returns

       a new wrapped array which contains all elements of this wrapped array followed by all elements of `that`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def union[B >: Byte, That](that: GenSeq[B])(implicit bf: CanBuildFrom[WrappedArray[Byte], B, That]): That

177. #### def unzip[A1, A2](implicit asPair: (Byte) ⇒ (A1, A2)): (IndexedSeq[A1], IndexedSeq[A2])

     Converts this collection of pairs into two collections of the first and second half of each pair.

     Converts this collection of pairs into two collections of the first and second half of each pair.

         val xs = Traversable(
                    (1, "one"),
                    (2, "two"),
                    (3, "three")).unzip
         // xs == (Traversable(1, 2, 3),
         //        Traversable(one, two, three))

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this collection is a pair.

     returns

       a pair of collections, containing the first, respectively second half of each element pair of this collection.

     Definition Classes
       GenericTraversableTemplate

178. #### def unzip3[A1, A2, A3](implicit asTriple: (Byte) ⇒ (A1, A2, A3)): (IndexedSeq[A1], IndexedSeq[A2], IndexedSeq[A3])

     Converts this collection of triples into three collections of the first, second, and third element of each triple.

     Converts this collection of triples into three collections of the first, second, and third element of each triple.

         val xs = Traversable(
                    (1, "one", '1'),
                    (2, "two", '2'),
                    (3, "three", '3')).unzip3
         // xs == (Traversable(1, 2, 3),
         //        Traversable(one, two, three),
         //        Traversable(1, 2, 3))

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this collection is a triple.

     returns

       a triple of collections, containing the first, second, respectively third member of each element triple of this collection.

     Definition Classes
       GenericTraversableTemplate

179. #### def update(index: Int, elem: Byte): Unit

     Update element at given index

     Update element at given index

     elem

       the new value.

     Definition Classes
       ofByte → WrappedArray → IndexedSeqLike → SeqLike

180. #### def updated(index: Int, elem: A): WrappedArray[A]

     [use case] A copy of this wrapped array with one single replaced element.

     [use case]

     A copy of this wrapped array with one single replaced element.

     index

       the position of the replacement

     elem

       the replacing element

     returns

       a copy of this wrapped array with the element at position `index` replaced by `elem`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def updated[B >: Byte, That](index: Int, elem: B)(implicit bf: CanBuildFrom[WrappedArray[Byte], B, That]): That

181. #### def view(from: Int, until: Int): IndexedSeqView[Byte, WrappedArray[Byte]]

     A sub-sequence view starting at index `from` and extending up to (but not including) index `until`.

     A sub-sequence view starting at index `from` and extending up to (but not including) index `until`.

     from

       The index of the first element of the slice

     until

       The index of the element following the slice

     returns

       a non-strict view of a slice of this mutable indexed sequence, starting at index `from` and extending up to (but not including) index `until`.@note The difference between `view` and `slice` is that `view` produces a view of the current sequence, whereas `slice` produces a new sequence.

     Definition Classes
       IndexedSeqLike → SeqLike → IterableLike → TraversableLike
     Note

       view(from, to) is equivalent to view.slice(from, to)

182. #### def view: IndexedSeqView[Byte, WrappedArray[Byte]]

     Creates a view of this iterable @see Iterable.View

     Creates a view of this iterable @see Iterable.View

     returns

       a non-strict view of this mutable indexed sequence.

     Definition Classes
       IndexedSeqLike → SeqLike → IterableLike → TraversableLike

183. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

184. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

185. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

186. #### def withFilter(p: (Byte) ⇒ Boolean): FilterMonadic[Byte, WrappedArray[Byte]]

     Creates a non-strict filter of this traversable collection.

     Creates a non-strict filter of this traversable collection.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this traversable collection which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

187. #### def zip[B](that: GenIterable[B]): WrappedArray[(A, B)]

     [use case] Returns a wrapped array formed from this wrapped array and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a wrapped array formed from this wrapped array and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new wrapped array containing pairs consisting of corresponding elements of this wrapped array and `that`. The length of the returned collection is the minimum of the lengths of this wrapped array and `that`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: Byte, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[WrappedArray[Byte], (A1, B), That]): That

188. #### def zipAll[B](that: collection.Iterable[B], thisElem: A, thatElem: B): WrappedArray[(A, B)]

     [use case] Returns a wrapped array formed from this wrapped array and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a wrapped array formed from this wrapped array and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this wrapped array is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this wrapped array.

     returns

       a new wrapped array containing pairs consisting of corresponding elements of this wrapped array and `that`. The length of the returned collection is the maximum of the lengths of this wrapped array and `that`. If this wrapped array is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this wrapped array, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: Byte, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[WrappedArray[Byte], (A1, B), That]): That

189. #### def zipWithIndex: WrappedArray[(A, Int)]

     [use case] Zips this wrapped array with its indices.

     [use case]

     Zips this wrapped array with its indices.

     returns

       A new wrapped array containing pairs consisting of all elements of this wrapped array paired with their index. Indices start at `0`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: Byte, That](implicit bf: CanBuildFrom[WrappedArray[Byte], (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

190. #### def →[B](y: B): (ofByte, B)

     Implicit information
       This member is added by an implicit conversion from ofByte to ArrowAssoc[ofByte] performed by method ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### def filter(p: (Byte) ⇒ Boolean): TraversableOnce[Byte]

   Implicit information
     This member is added by an implicit conversion from ofByte to MonadOps[Byte] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (ofByte: MonadOps[Byte]).filter(p)

   Definition Classes
     MonadOps

2. #### def flatMap[B](f: (Byte) ⇒ GenTraversableOnce[B]): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from ofByte to MonadOps[Byte] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (ofByte: MonadOps[Byte]).flatMap(f)

   Definition Classes
     MonadOps

3. #### def map[B](f: (Byte) ⇒ B): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from ofByte to MonadOps[Byte] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (ofByte: MonadOps[Byte]).map(f)

   Definition Classes
     MonadOps

4. #### def withFilter(p: (Byte) ⇒ Boolean): Iterator[Byte]

   Implicit information
     This member is added by an implicit conversion from ofByte to MonadOps[Byte] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (ofByte: MonadOps[Byte]).withFilter(p)

   Definition Classes
     MonadOps

### Deprecated Value Members

1. #### def elemManifest: ClassManifest[Byte]

   Definition Classes
     WrappedArray
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use elemTag instead

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from WrappedArray[Byte]

### Inherited from CustomParallelizable[Byte, ParArray[Byte]]

### Inherited from ArrayLike[Byte, WrappedArray[Byte]]

### Inherited from IndexedSeqOptimized[Byte, WrappedArray[Byte]]

### Inherited from collection.IndexedSeqOptimized[Byte, WrappedArray[Byte]]

### Inherited from IndexedSeq[Byte]

### Inherited from IndexedSeqLike[Byte, WrappedArray[Byte]]

### Inherited from collection.IndexedSeq[Byte]

### Inherited from collection.IndexedSeqLike[Byte, WrappedArray[Byte]]

### Inherited from AbstractSeq[Byte]

### Inherited from Seq[Byte]

### Inherited from SeqLike[Byte, Seq[Byte]]

### Inherited from Cloneable[Seq[Byte]]

### Inherited from scala.Cloneable

### Inherited from java.lang.Cloneable

### Inherited from Iterable[Byte]

### Inherited from Traversable[Byte]

### Inherited from Mutable

### Inherited from collection.AbstractSeq[Byte]

### Inherited from collection.Seq[Byte]

### Inherited from collection.SeqLike[Byte, WrappedArray[Byte]]

### Inherited from GenSeq[Byte]

### Inherited from GenSeqLike[Byte, WrappedArray[Byte]]

### Inherited from PartialFunction[Int, Byte]

### Inherited from (Int) ⇒ Byte

### Inherited from collection.AbstractIterable[Byte]

### Inherited from collection.Iterable[Byte]

### Inherited from IterableLike[Byte, WrappedArray[Byte]]

### Inherited from Equals

### Inherited from GenIterable[Byte]

### Inherited from GenIterableLike[Byte, WrappedArray[Byte]]

### Inherited from AbstractTraversable[Byte]

### Inherited from collection.Traversable[Byte]

### Inherited from GenTraversable[Byte]

### Inherited from GenericTraversableTemplate[Byte, IndexedSeq]

### Inherited from TraversableLike[Byte, WrappedArray[Byte]]

### Inherited from GenTraversableLike[Byte, WrappedArray[Byte]]

### Inherited from Parallelizable[Byte, ParArray[Byte]]

### Inherited from TraversableOnce[Byte]

### Inherited from GenTraversableOnce[Byte]

### Inherited from FilterMonadic[Byte, WrappedArray[Byte]]

### Inherited from HasNewBuilder[Byte, WrappedArray[Byte]]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from ofByte to CollectionsHaveToParArray[ofByte, T]

### Inherited by implicit conversion MonadOps from ofByte to MonadOps[Byte]

### Inherited by implicit conversion any2stringadd from ofByte to any2stringadd[ofByte]

### Inherited by implicit conversion StringFormat from ofByte to StringFormat[ofByte]

### Inherited by implicit conversion Ensuring from ofByte to Ensuring[ofByte]

### Inherited by implicit conversion ArrowAssoc from ofByte to ArrowAssoc[ofByte]

### Inherited by implicit conversion alternateImplicit from ofByte to ForceImplicitAmbiguity

### Ungrouped